import { useAuthStore } from "../../../stores/auth-store";

export const useAuthApi = () => {
    const authStore = useAuthStore();
    
    const login = () => {
        authStore.login();
    };

    const oidcLogin = () => {
        authStore.oidcLogin();
    };

    const logout = () => {
        authStore.logout();
    };

    return {
        login,
        oidcLogin,
        logout,
    };
};